%define ver_major 1.8
%define ver_base 1.8
%define ver_lib 1.2
%define db_ver 4.3

Name: evolution-data-server
Version: %ver_major.3
Release: alt2

%def_disable debug
%def_disable static
%def_with sys_db4

Summary: Evolution Data Server
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/projects/evolution/
Packager: Ilya Mashkin <oddity at altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch1: %name-1.4.2.1-debug-lock.patch
Patch2: %name-1.5.92-krb5-libs.patch


Patch10: evolution-data-server-1.0.2-workaround-cal-backend-leak.patch
Patch11: evolution-1.4.4-ldap-x86_64-hack.patch
Patch12: evolution-data-server-1.2.2-fix_open_calendar_declaration.patch
Patch13: evolution-data-server-1.3.8-fix-implicit-function-declarations

# Remove gnome-common macros from configure.in.
# We do not ship gnome-common (or at least we're not supposed to).
#Patch14: evolution-data-server-1.8.0-no-gnome-common.patch

# RH bug #202309
Patch15: evolution-data-server-1.7.91-maybe-fix-crash.patch

# RH bug #198935 / GNOME bug #348888
Patch16: evolution-data-server-1.8.0-emsgport.patch

# RH bug #203915
Patch17: evolution-data-server-1.8.0-fix-camel-malloc.patch

# RH bug #208724 / GNOME bug #384183
Patch18: evolution-data-server-1.8.2-msgport-fix.patch

# RH bug #224074 / GNOME bug #405531
Patch19: evolution-data-server-1.8.3-translate-any-category.patch

# GNOME bug #301363
Patch20: evolution-data-server-1.8.3-updated-zoneinfo.patch

# GNOME bug #363102
Patch21: evolution-data-server-1.8.3-local-calendar-crasher.patch

# GNOME bug #415922
Patch22: evolution-data-server-1.8.3-isa-support.patch


%define libbonobo_ver 2.8.1
%define libgnome_ver 2.10.0
%define soup_ver 2.2.6

Requires: libbonobo2 >= %libbonobo_ver
Requires: libgnome >= %libgnome_ver
Requires: libsoup >= %soup_ver
Requires: libnspr libnss

# e-d-s is a mess of circular linking, I have no time to unravel it now
%set_verify_elf_method unresolved=relaxed

BuildConflicts: evolution-data-server-devel

BuildPreReq: gnome-common

# Automatically added by buildreq on Tue Sep 05 2006
BuildRequires: docbook-utils flex fontconfig GConf gcc-c++ gnome-vfs-devel gtk-doc libavahi-glib libbonobo-devel libdb4-devel libdbus-glib libGConf-devel libglade-devel libgnome-devel libgnome-keyring-devel libkrb5-devel libldap-devel libnspr-devel libnss-devel libsoup-devel python-modules-encodings

BuildRequires: libbonobo2-devel >= %libbonobo_ver
BuildRequires: libgnome-devel >= %libgnome_ver
BuildRequires: libsoup >= %soup_ver

%if_with sys_db4
BuildRequires: libdb4-devel
%endif

%description
Evolution Data Server provides a central location for
addressbook and calendar in the GNOME Desktop.

%package devel
Summary: Development files for Evolution Data Server
Group: Development/C
Requires: %name = %version-%release

%description devel
This package provides development files for Evolution Data Server

%package devel-doc
Summary: Development documentation for Evolution Data Server
Group: Development/C
Conflicts: %name < 1.0.3-alt1

%description devel-doc
Evolution Data Server provides a central location for
addressbook and calendar in the GNOME Desktop.

This package contains development documentation for Evolution Data Server.

%define _gtk_docdir %_datadir/gtk-doc/html
%define _libexecdir %_prefix/lib/%name

%add_findprov_lib_path %_libdir/%name-%ver_lib/extensions

%prep
%setup -q

%if_enabled debug
%patch1 -p1
%endif

%patch2 -p1


%patch10 -p1 -b .workaround-cal-backend-leak
%patch11 -p1 -b .ldaphack
%patch12 -p1 -b .fix_open_calendar_declaration
%patch13 -p1 -b .fix-implicit-function-declarations
#patch14 -p1 -b .no-gnome-common
%patch15 -p1 -b .maybe-fix-crash
%patch16 -p1 -b .emsgport
%patch17 -p1 -b .fix-camel-malloc
%patch18 -p1 -b .msgport-fix
%patch19 -p1 -b .translate-any-category
%patch20 -p1 -b .updated-zoneinfo
%patch21 -p1 -b .local-calendar-crasher
%patch22 -p1 -b .isa-support


%if_with sys_db4
rm -rf libdb
%__subst '/libdb\/Makefile/d' configure.in
%__subst 's/^\(SUBDIRS.*\)\$(LIBDB)/\1/' Makefile.am
%endif

%build

intltoolize --copy --force
autoreconf -ifsv

export ac_cv_path_SENDMAIL=%_sbindir/sendmail
%configure \
%if_enabled debug
    --with-e2k-debug \
%endif
%if_with sys_db4
    --with-libdb=%_prefix \
%endif
    %{subst_enable static} \
    --enable-file-locking=fcntl \
    --enable-dot-locking=no \
    --with-openldap=yes \
    --with-static-ldap=no \
    --enable-nntp=yes \
    --enable-nss \
    --enable-smime \
    --enable-gnome-keyring \
    --with-nspr-includes=%_includedir/nspr \
    --with-nss-includes=%_includedir/nss \
    --with-krb5=%_prefix \
    --with-krb5-includes=%_includedir/krb5 \
    --enable-gtk-doc \
    --disable-schemas-install

# SMP-incompatible build
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# if unstable
#__ln_s camel-lock-helper-1.2 %buildroot%_libdir/%name/camel-lock-helper

# remove none-packaged files
%__rm -f %buildroot%_libdir/%name-%ver_lib/*/*.la

%find_lang --with-gnome --output=%name.lang %name-%ver_base

##pre
#bonobo-slay -s evolution-data-server

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%dir %_libexecdir
%_libexecdir/*
%_libdir/%name-%ver_lib
%_libdir/*.so.*
%_libdir/bonobo/servers/*
%_datadir/idl/*
%_datadir/%name-*
%_datadir/pixmaps/*
%doc AUTHORS ChangeLog NEWS README MAINTAINERS

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%files devel-doc
%_gtk_docdir/*

%changelog
* Sun Mar 25 2007 Ilya Mashkin <oddity@altlinux.ru> 1.8.3-alt2
- add some patches
- add URL

* Sat Feb 24 2007 Ilya Mashkin <oddity@altlinux.ru> 1.8.3-alt1
- Updated to 1.8.3

* Mon Jan 01 2007 Ilya Mashkin <oddity@altlinux.ru> 1.8.2-alt1
- New release 1.8.2

* Mon Oct 02 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.8.1-alt1
- Release 1.8.1

* Tue Sep 05 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.8.0-alt1
- Release 1.8.0
- Patch0 has gone upstream
- Enabled gnome-keyring
- Buildreq

* Fri Sep 01 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.3-alt1
- Release 1.6.3

* Thu Jun 01 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.2-alt1
- Release 1.6.2

* Sat Apr 15 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.1-alt1
- Release 1.6.1

* Wed Mar 15 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.0-alt1
- Release 1.6.0

* Thu Mar 09 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.92-alt2
- Patch0: Adopted the dynamic libdb patch from Ross Burton (GNOME bug 319393)
- Enabled sys_db4 by default after a discussion on evolution-hackers
- Patch2: proper use of variables affecting the krb5 library test
- Relaxed the unresolved symbol check (proper fix blocked by GNOME bug 334169)

* Sun Mar 05 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.92-alt1
- 1.5.92

* Thu Feb 16 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.91-alt1
- Updated to 1.5.91

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.4.2.1-alt2.1
- Rebuilt for new pkg-config dependencies.

* Sat Jan 07 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.2.1-alt2
- Explicit dependency on libnss and libnspr

* Wed Dec 14 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.2.1-alt1
- 1.4.2.1

* Wed Nov 30 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.2-alt2
- Disable system libdb patch by default in hope to stop
  index corruption
- Compile with separately installed libnspr and libnss

* Tue Nov 29 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.2-alt1
- 1.4.2
- Run intltoolize

* Sat Nov 19 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1.1-alt2.1
- Spec cosmetics
- Drop explicit nspr/nss configure flags, relying on mozilla .pc files instead

* Sat Oct 22 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1.1-alt2
- Version required for libsoup bumped to 2.2.6

* Wed Oct 19 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1.1-alt1
- 1.4.1.1

* Tue Oct 04 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt1
- 1.4.1
- Patch1 is obsolete
- Specify mozilla library directories

* Tue Sep 06 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.0-alt1
- 1.4.0
- Updated Patch1

* Sun Sep 04 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.3.8-alt2
- --with-e2k-debug for the debug build
- --enable-nntp
- Correct name for lock helper (GNOME bug #305633) [Patch1]

* Fri Aug 26 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.3.8-alt1
- 1.3.8
- Updated Patch0

* Mon Aug 08 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.3.7-alt0.1
- 1.3.7

* Thu Aug 04 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.3.6.1-alt0.1
- 1.3.6.1

* Fri Jul 29 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.3.6-alt0.1
- 1.3.6

* Fri Jul 15 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.3.5-alt0.1
- 1.3.5
- Updated Patch0

* Sat Jul 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.2.3-alt1
- 1.2.3

* Tue Apr 12 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Thu Mar 17 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt1
- 1.2.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Wed Mar 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.1.6-alt1
- 1.1.6

* Fri Feb 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.1.5-alt1
- 1.1.5

* Sat Dec 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3
- development documentation moved to devel-doc subpackage.

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Thu Sep 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Sun Sep 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.99-alt1
- 0.0.99

* Wed Aug 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.97-alt1
- 0.0.97

* Tue Jul 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.96-alt1
- 0.0.96

* Tue Jul 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.95-alt1
- 0.0.95

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.94.1-alt1
- 0.0.94.1

* Sat Jun 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.94-alt1
- 0.0.94

* Fri May 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.93-alt1
- 0.0.93

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.92-alt1
- 0.0.92

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.91-alt2
- rebuild against new gnutls (1.0.10)

* Tue Apr 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.91-alt1
- 0.0.91

* Sat Mar 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.90-alt1
- 0.0.90

* Thu Feb 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.7-alt2
- rebuild against libdb4.2

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.7-alt1
- 0.0.7

* Tue Jan 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.6-alt1
- First build for Sisyphus.
